DORMANTno replies

[PATCH] Ensure test-genrandom availability for t5301/t5302

From: Dana How <hidden>
Date: 2016-06-15 22:43:07
Subsystem: the rest · Maintainer: Linus Torvalds

Check for this as well as test-chmtime in test-lib.sh

Signed-off-by: Dana L. How <redacted>
---
 t/test-lib.sh |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)
diff --git a/t/test-lib.sh b/t/test-lib.sh
index f2c6bd3..d7838fc 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -268,11 +268,14 @@ test -d ../templates/blt || {
 	error "You haven't built things yet, have you?"
 }
 
-if ! test -x ../test-chmtime; then
-	echo >&2 'You need to build test-chmtime:'
-	echo >&2 'Run "make test-chmtime" in the source (toplevel) directory'
-	exit 1
-fi
+for prog in test-chmtime test-genrandom
+do
+	if ! test -x ../$prog; then
+		echo >&2 "You need to build $prog:"
+		echo >&2 "Run \"make $prog\" in the source (toplevel) directory"
+		exit 1
+	fi
+done
 
 # Test repository
 test=trash
-- 
1.5.2.rc0.71.g4342-dirty
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help